python 2.7升级python3.4之后yum库不能使用。报错:

[root@localhost 桌面]# yum upgrade  File "/usr/bin/yum", line 30    except KeyboardInterrupt, e:  [root@localhost 桌面]# vim /usr/bin/yum    #将!/usr/bin/python改成!/usr/bin/python2.7即可。

原来是由于升级了默认的python导致的后果。